@extends('layouts.master')

@section('page-title', 'Artists')

@section('page-top')
<section class="inner-page-banner bg-2 bg-image">
    <div class="container">
        <div class="inner text-center">
            <h1 class="title">{{ $artist->name }}</h1>
            <nav class="mt-4">
                <ol class="breadcrumb justify-content-center">
                    <li class="breadcrumb-item"><a href="/">Home</a></li>
                    <li class="breadcrumb-item"><a href="/artists">Artists</a></li>
                    <li class="breadcrumb-item active">Artist</li>
                </ol>
            </nav>
        </div>
    </div>
</section>
@endsection
@section('page-content')
<section class="pt-120 pb-90">
    <div class="container">
        <div class="row">
            {{ $artworks->links() }}
        </div>
    </div>
    <div class="container">
        <div class="row">
            <div class="col-xxl-3 col-xl-4 col-lg-4 mb-6">
                <div class="single-author profile">
                    <div class="thumb">
                        <img src="{{ Vite::asset($artist->header ?? 'resources/img/artist-dark-banner-default.png') }}" alt="{{ $artist->name }}'s Cover Photo" />
                    </div>
                    <div class="content">
                        <img class="author-thumb" src="{{ Vite::asset($artist->avatar ?? 'resources/img/default_avatars/default_avatar_male.svg') }}"
                            alt="{{ $artist->name }}" />
                        <h4 class="title">{{ $artist->name }}</h4>
                        <p class="title">{{  $artist->location ?? 'No Agenda Nation' }}</p>
                        <p class="title">Artist For {{ $artist->artworks->sortBy('created_at')->first()->created_at->diffForHumans(now(), Carbon\CarbonInterface::DIFF_ABSOLUTE) }}</p>
                        @if ($artist->bio)
                            <h4>Bio:</h4>
                            <p>{{ nl2br($artist->bio) }}</p>
                        @endif
                        <div class="social size-small justify-content-center mb-4">
                            @if ($artist->website)
                                <a href="{{ $artist->website }}" title="website"><i class="ri-pages-line"></i></a>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
            {{-- end bio sidebar --}}
            <div class="col-xxl-9 col-xl-8 col-lg-8">
                <div class="container">
                        <div class="grid-filter-wrapper masonry-list">
                            <div class="resizer"></div>
                            @foreach ($artworks as $artwork)
                                @php
                                    $thisArtwork = $artwork;
                                    $thisPodcast = $artwork->podcast;
                                    $thisEpisode = $artwork->episode;
                                @endphp
                                <div class="grid-item podcast--{{ $artwork->podcast->slug }}">
                                    @include('artworks.card')
                                </div>
                            @endforeach
                        </div>
                </div>
            </div>
            {{-- end artist content --}}
        </div>
    </div>
    <div class="container">
        <div class="row">
            {{ $artworks->links() }}
        </div>
    </div>
</section>
@endsection
